Magaz/Models/Basket.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Identity;
using Microsoft.EntityFrameworkCore.Metadata.Internal;

namespace Magaz.Models
{
    public class Basket
    {
        public int Id { get; set; }

        //Користувач корзини
        public string UserId { get; set; }

        [ForeignKey("UserId")]
        public User User { get; set; }

        //Книги в корзині
        public List<BasketBook> BasketBooks { get; set; }

        public Basket()
        {
            BasketBooks = new List<BasketBook>();
        }

    }
}

Magaz/Models/User.cs
using Microsoft.AspNetCore.Identity;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Magaz.Models
{
    public class User : IdentityUser
    {
        public int Year { get; set; }

        public Basket UserBasket { get; set; }
    }
}

Magaz/Controllers/UsersController.cs
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Magaz.Models;
using Magaz.ViewModels;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;
using Microsoft.AspNetCore.Identity;

namespace Magaz.Controllers
{
    public class UsersController : Controller
    {
        private readonly UserManager<User> _userManager;
        ApplicationContext db;

        public UsersController(ApplicationContext context, UserManager<User> userManager)
        {
            this.db = context;
            _userManager = userManager;
        }

        public async Task<IActionResult> Index()
        {
            IQueryable<User> users = db.Users;
            return View(await users.AsNoTracking().ToListAsync());
        }

        public IActionResult Basket()
        {
                var basket = db.Basket
                .Include(bb => bb.BasketBooks)
                .ThenInclude(b => b.Book)
                .ThenInclude(a => a.Author)
                .FirstOrDefault(i => i.UserId == _userManager.GetUserId(HttpContext.User));

            return View(basket);
        }

        [HttpGet]
        public async Task<IActionResult> Delete(int? bookid)
        {
                Basket basket = db.Basket.Include(c=>c.BasketBooks).FirstOrDefault(c => c.UserId == _userManager.GetUserId(HttpContext.User));

                Book book = await db.Book.FirstOrDefaultAsync(p => p.Id == bookid);

                if (book != null && basket!= null)
                {
                    BasketBook basketbook = basket.BasketBooks.FirstOrDefault(sc => sc.BookId == book.Id);
                    basket.BasketBooks.Remove(basketbook);
                    await db.SaveChangesAsync();
                    return RedirectToAction("Basket");

            }
                return NotFound();
        }
    }
}

Magaz/Views/Users/Basket.cshtml
@{
    ViewData["Title"] = "Basket";
}

@using Magaz.Models
@model Basket


<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Krok</title>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="~/css/style.min.css">
</head>
<body>
<section>
    <div class="container">
        <table class="table">
            <tr><td>Зображення</td><td>Назва</td><td>Автор</td><td>Опис</td><td>Ціна</td></tr>
            @foreach (var item in Model.BasketBooks)
            {
                <tr>
                    <td>
                        @item.Book.Image
                    </td>
                    <td>
                        @item.Book.Name
                    </td>
                    <td>
                        @item.Book.Author.Name
                    </td>
                    <td>
                        @item.Book.Description
                    </td>
                    <td>
                        @item.Book.Price
                    </td>
                    <td>@*<a asp-action="Details" asp-controller="Users" asp-route-bookid="@item.BookId" asp-route-basketid = "@item.BasketId">Детально</a>*@ | 
                        <a asp-action="Delete" asp-controller="Users" asp-route-bookid="@item.BookId">Видалити</a>
                        
                    </td>
                </tr>
            }
        </table>
    </div>
</section>
<script src="~/js/allscripts.min.js"></script>
</body>
</html>

Magaz/Views/Users/Index.cshtml
@{
    ViewData["Title"] = "Users";
}

@{
    Layout = null;
}

@model IEnumerable<User>

<h1>Список користувачів</h1>
<table class="table">
    <tr>
        <th>
            <a asp-controller="Users" asp-action="Index">
                імя
            </a>
        </th>
        <th>
            <a asp-controller="Users" asp-action="Index">
                Email
            </a>
        </th>
        <th>
            <a asp-controller="Users" asp-action="Index">
                Рік народження
            </a>
        </th>
    </tr>
    @foreach (User u in Model)
    {
        <tr><td>@u.UserName</td><td>@u.Email</td><td>@u.Year</td></tr>
    }
</table>